<?xml version="1.0" encoding="iso-8859-1"?>

<!--
module :
cration d'une table avec tous les auteurs et le lien interne ou externe associ

source :
/usr/home/fplod/incas/bibnemo/src/bibnemomaf/table_authors.xsl sur aedon.locean-ipsl.upmc.fr

update :
++ plein de trucs
fplod 2007-05-18T14:40:38Z aedon.locean-ipsl.upmc.fr (Darwin)
modif gestion des id
fplod 2007-05-16T15:01:39Z aedon.locean-ipsl.upmc.fr (Darwin)
correction pour homonymes partiels
fplod 2007-04-18T13:32:33Z aedon.locean-ipsl.upmc.fr (Darwin)
creation
-->

<xsl:stylesheet
 id="id" version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output
 method="xml"
 indent="yes"
 encoding="ISO-8859-1"
 omit-xml-declaration="no"
 doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
 doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>

<xsl:template name="table_authors">
<xsl:param name="linktype"/>
<!--
creation of an informatable of 10 author_ids
each entry of the table is a link #SURNAME_f
-->

<xsl:element name="informaltable">
 <xsl:attribute name="id">author_ids</xsl:attribute>
 <xsl:attribute name="summary">author_ids of publications</xsl:attribute>
 <xsl:attribute name="width">80%</xsl:attribute>
 <xsl:element name="tgroup">
  <xsl:variable name="nb_cols" select="8"/>
  <xsl:attribute name="cols"><xsl:value-of select="$nb_cols"/></xsl:attribute>
  <xsl:attribute name="align">center</xsl:attribute>
  <xsl:attribute name="colsep">1</xsl:attribute>
  <xsl:attribute name="rowsep">1</xsl:attribute>
  <xsl:element name="tbody">
   <xsl:for-each select="///author[not( self::node() = following::author )]">
    <xsl:sort order="ascending" data-type="text" select="."/>
    <xsl:if test="position() = 1 or position() mod $nb_cols = 1">
     <xsl:text>&#xA;</xsl:text>
     <xsl:comment> dbut de row <xsl:value-of select="position()"/></xsl:comment>
      <xsl:text disable-output-escaping="yes">
      <![CDATA[
<row>
]]>
     </xsl:text>
    </xsl:if>
    <xsl:text>&#xA;</xsl:text>
    <xsl:element name="entry">
     <xsl:variable name="author_id">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="personname/surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="personname/firstname"/>
</xsl:call-template>
     </xsl:variable>
     <xsl:text>&#xA;</xsl:text>
     <xsl:element name="ulink">
      <xsl:choose>
       <xsl:when test="$linktype='internal'">
        <xsl:attribute name="url"><xsl:text>#</xsl:text><xsl:value-of select="$author_id"/></xsl:attribute>
       </xsl:when>
       <xsl:when test="$linktype='external'">
        <xsl:attribute name="url"><xsl:value-of select="concat($author_id,$html.ext)"/></xsl:attribute>
       </xsl:when>
       <xsl:otherwise>
        <xsl:message terminate="yes">
eee : unknown linktype = <xsl:value-of select="$linktype"/>
        </xsl:message>
       </xsl:otherwise>
      </xsl:choose>
<xsl:value-of select="normalize-space(.)"/>
     </xsl:element>
    </xsl:element>
    <xsl:if test="position() mod $nb_cols = 0 or position()=last()">
     <xsl:text>&#xA;</xsl:text>
     <xsl:comment> fin de row <xsl:value-of select="position()"/></xsl:comment>
     <xsl:text disable-output-escaping="yes">
     <![CDATA[
</row>
]]>
     </xsl:text>
    </xsl:if>
   </xsl:for-each>
  </xsl:element>
 </xsl:element>
</xsl:element>
</xsl:template>
</xsl:stylesheet>
